using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.StoragesContracts
{
    public interface IHearingStorage
    {
        List<HearingViewModel> GetFullList();
        List<HearingViewModel> GetFilteredList(HearingSearchModel model);
        HearingViewModel? GetElement(HearingSearchModel model);
        HearingViewModel? Insert(HearingBindingModel model);
        HearingViewModel? Update(HearingBindingModel model);
        HearingViewModel? Delete(HearingBindingModel model);
    }
}
